Name:           klibido
Version:        0.2.5
Release:        13%{?dist}
Summary:        NNTP (Usenet) file grabber for KDE

Group:          Applications/Internet
License:        GPLv2+
URL:            http://klibido.sourceforge.net
Source0:        http://kent.dl.sourceforge.net/sourceforge/klibido/%{name}-%{version}.tar.gz
Patch0:         klibido-0.2.5-gcc4_extra_qualification.patch
Patch1:         klibido-0.2.5-doc_relative_symlinks.patch
Patch2:         klibido-0.2.5-fix_pause_queue.patch
Patch3:         klibido-0.2.5-desktop_file.patch
Patch4:         klibido-0.2.5-gcc4.3_compile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  uulib-static uulib-devel kdelibs3-devel db4-devel desktop-file-utils ImageMagick


%description
KLibido (KDE LInux BInaries DOwnloader) is a KDE program to download encoded
articles from the usenet news service, using the nntp protocol. It supports
multiple servers, multiple download threads per server, newzbin (.nzb) files,
automatic joining and decoding of articles.

KLibido is not a newsreader. It doesn't let you easily display the articles -
only their subject, and it discards all non-binary posts.


%prep
%setup -q
%patch0 -p1 -b .gcc4_patch
%patch1 -p1 -b .relative_symlinks
%patch2 -p1 -b .pause_queue
%patch3 -p1 -b .desktop_file
%patch4 -p1 -b .gcc4.3_compile


%build
%configure --prefix=$(kde-config --prefix) --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor="fedora" \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications/ \
        $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/%{name}.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/%{name}.desktop
# Install a 48x48 icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
convert $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/klibido.png \
        -sample 48x48 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/klibido.png
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/klibido
%{_datadir}/applications/fedora-klibido.desktop
%{_datadir}/apps/klibido
%{_datadir}/doc/HTML/en/klibido
%{_datadir}/icons/hicolor/16x16/apps/klibido.png
%{_datadir}/icons/hicolor/32x32/apps/klibido.png
%{_datadir}/icons/hicolor/48x48/apps/klibido.png


%changelog
* Tue Dec  8 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.2.5-13
- Explicitly BR uulib-static in accordance with the Packaging
  Guidelines (uulib-devel is still static-only).

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 22 2008 Francois Aucamp <faucamp@fedoraproject.org> - 0.2.5-10
- Changed kdelibs-devel build dependency to kdelibs3-devel
- Added patch by Erik van Pienbroek to allow compilation with gcc 4.3 (RHBZ #433812)
- Changed License field to GPLv2+ to comply with Fedora guidelines

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.5-9
- Autorebuild for GCC 4.3

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.2.5-8
- Rebuild for selinux ppc32 issue.

* Fri Jun 15 2007 Franocis Aucamp <faucamp@csir.co.za> - 0.2.5-7
- Reverted to BuildRequires: uulib-devel (to build for FC6 and F7)
- Removed unnecessary hicolor-icon-theme dependency

* Tue Jun 05 2007 Francois Aucamp <faucamp@csir.co.za> - 0.2.5-6
- Spec now consistently uses RPM_BUILD_ROOT
- Changed uulib BuildRequires to uulib-static for Fedora 7 and up
- Added hicolor-icon-theme dependency
- Added "desktop_file" patch to fix some minor issues in the .desktop file

* Mon Apr 16 2007 Francois Aucamp <faucamp@csir.co.za> - 0.2.5-5
- Create a 48x48 icon
- Added BuilRequires: ImageMagick

* Wed Jan 10 2007 Francois Aucamp <faucamp@csir.co.za> - 0.2.5-4
- Added proper handling of .desktop file
- Added BuildRequires: desktop-file-utils

* Thu Dec 07 2006 Francois Aucamp <faucamp@csir.co.za> - 0.2.5-3
- Added missing BuildRequires: kdelibs-devel db4-devel

* Wed Dec 06 2006 Francois Aucamp <faucamp@csir.co.za> - 0.2.5-2
- Added "fix_pause_queue" patch to fix upstream bug 1485588
- Renamed patch files to reflect klibido version used to create them

* Tue Nov 07 2006 Francois Aucamp <faucamp@csir.co.za> - 0.2.5-1
- Initial RPM build
